require 'spec_helper'

describe SgtnCldr do
  describe "DateTime" do

    before :each do

    end

    it "DateTime" do
      d = DateTime.new(2007,11,19,8,37,48,"-06:00")
      expect(d.to_full_s(:es)).to eq 'lunes, 19 de noviembre de 2007, 14:37:48 (tiempo universal coordinado)'
      expect(d.to_long_s(:es)).to eq '19 de noviembre de 2007, 14:37:48 UTC'
      expect(d.to_medium_s(:es)).to eq '19 nov 2007 14:37:48'
      expect(d.to_short_s(:es)).to eq '19/11/07 14:37'
    end

    it "Date0" do
      d = Date.new(2001,2,3)
      expect(d.to_full_s(:es)).to eq 'Saturday, February 3, 2001'
      expect(d.to_long_s(:es)).to eq 'February 3, 2001'
      expect(d.to_medium_s(:es)).to eq 'Feb 3, 2001'
      expect(d.to_short_s(:es)).to eq '2/3/01'
    end

    it "Date" do
      d = DateTime.new(2007,11,19,8,37,48,"-06:00")
      expect(d.to_date(:es).to_full_s).to eq 'lunes, 19 de noviembre de 2007'
      expect(d.to_date(:es).to_long_s).to eq '19 de noviembre de 2007'
      expect(d.to_date(:es).to_medium_s).to eq '19 nov 2007'
      expect(d.to_date(:es).to_short_s).to eq '19/11/07'
    end

    it "time" do
      d = Time.new(2007,11,1,15,25,0, "+09:00")
      expect(d.to_full_s(:es)).to eq '6:25:00 (tiempo universal coordinado)'
      expect(d.to_long_s(:es)).to eq '6:25:00 UTC'
      expect(d.to_medium_s(:es)).to eq '6:25:00'
      expect(d.to_short_s(:es)).to eq '6:25'
    end
  end

end
